<?php

class Modeltotalfuturacalcularst extends Model{

	  public function getTotal(&$total_data, &$total) {

			$this->language->load('total/futuracalcularst');
		    $modulostconf = $this->futuracalcularst->getconfiguracoes();

			if(($this->customer->isLogged()) && ($this->customer->getTipo_pessoa() == 'J') && ($modulostconf['futuracalcularst_status'])) {

				$ipivalor = 0;
				$stvalor  = 0;
				$fcpst_valor = 0 ;

				foreach($this->cart->getProducts() as $produto){

				  if(($produto["ipi_valor"] === 'N') || ($produto["st_valor"] === 'N') || ($produto["fcpst_valor"] === 'N')){
				    return false;
				  }

				  $ipivalor += $produto["ipi_valor"];
				  $stvalor  += $produto["st_valor"];
					$fcpst_valor  += $produto["fcpst_valor"];
				}

				$total_data[] = array(
					'code'       => 'total_st',
					'title'      => $this->language->get('totalst'),
					'text'       => $this->currency->format($stvalor),
					'value'      => $stvalor,
					'sort_order' => $this->config->get('calculost_sort_order')
				);

				$total_data[] = array(
					'code'       => 'total_ipi',
					'title'      => $this->language->get('totalipi'),
					'text'       => $this->currency->format($ipivalor),
					'value'      => $ipivalor,
					'sort_order' => $this->config->get('calculost_sort_order')
				);

				$total_data[] = array(
					'code'       => 'total_fcpst',
					'title'      => $this->language->get('totalfcpst'),
					'text'       => $this->currency->format($fcpst_valor),
					'value'      => $fcpst_valor,
					'sort_order' => $this->config->get('calculost_sort_order')
				);


				$total += $ipivalor + $stvalor + $fcpst_valor;

			}
	  }
}
